#
# spec file for package python-soundcloud
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2015 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-soundcloud
Version:        0.5.0
Release:        4.7
License:        BSD-2-Clause
Summary:        A friendly wrapper library for the Soundcloud API
Url:            https://github.com/soundcloud/soundcloud-python
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/s/soundcloud/soundcloud-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-fudge >= 1.0.3
Requires:       python3-fudge >= 1.0.3
BuildRequires:  python3-requests >= 0.14.0
Requires:       python3-requests >= 0.14.0
BuildRequires:  python3-simplejson >= 2.0
Requires:       python3-simplejson >= 2.0
BuildRequires:	python3-six
BuildRequires:	python3-nose
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A friendly wrapper around the `Soundcloud API`_.

.. _Soundcloud API: http://developers.soundcloud.com/

%prep
%setup -q -n soundcloud-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
nosetests

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python3_sitelib}/*

%changelog
* Fri Jun  9 2017 toddrme2178@gmail.com
- Add nose dependency.
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Wed Nov 11 2015 hpj@urpla.net
- version 0.5.0: initial build
